Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IXP425 Ethernet Phy Access (IxEthMii) API ethMii is a library that does provides access to the Ethernet PHYs More...
## Functions
IX_STATUS | ixEthMiiPhyScan (BOOL phyPresent[], UINT32 maxPhyCount)
| Scan the MDIO bus for PHYs This function scans PHY addresses 0 through 31, and sets phyPresent[n] to TRUE if a phy is discovered at address n.
IX_STATUS | ixEthMiiPhyConfig (UINT32 phyAddr, BOOL speed100, BOOL fullDuplex, BOOL autonegotiate)
| Configure a PHY Configure a PHY's speed, duplex and autonegotiation status.
IX_STATUS | ixEthMiiPhyLoopbackEnable (UINT32 phyAddr)
| Enable PHY Loopback in a specific Eth MII port.
IX_STATUS | ixEthMiiPhyLoopbackDisable (UINT32 phyAddr)
| Disable PHY Loopback in a specific Eth MII port.
IX_STATUS | ixEthMiiPhyReset (UINT32 phyAddr)
| Reset a PHY Reset a PHY.
IX_STATUS | ixEthMiiLinkStatus (UINT32 phyAddr, BOOL *linkUp, BOOL *speed100, BOOL *fullDuplex, BOOL *autoneg)
| Retrieve the current status of a PHY Retrieve the link, speed, duplex and autonegotiation status of a PHY.
IX_STATUS | ixEthMiiPhyShow (UINT32 phyAddr)
| Display information on a specified PHY Display link status, speed, duplex and Auto Negotiation status.
## Detailed Description ethMii is a library that does provides access to the Ethernet PHYs ## Function Documentation
ixEthMiiLinkStatus | ( | UINT32 | phyAddr,
|  | BOOL * | linkUp,
|  | BOOL * | speed100,
|  | BOOL * | fullDuplex,
|  | BOOL * | autoneg
| ) |
  | Retrieve the current status of a PHY Retrieve the link, speed, duplex and autonegotiation status of a PHY. * - Reentrant - no ISR Callable - no Precondition: The MAC on Ethernet Port 2 (NPE C) must be initialised, and generating the MDIO clock. Parameters:
  phyAddr: | the address of the Ethernet PHY (0-31)
  linkUp | : set to TRUE if the link is up
  speed100: | set to TRUE indicates 100Mbit/s, FALSE indicates 10Mbit/s
  fullDuplex: | set to TRUE indicates Full Duplex, FALSE indicates Half Duplex
  autoneg | : set to TRUE indicates autonegotiation is enabled, FALSE indicates autonegotiation is disabled
Returns: IX_STATUS IX_SUCCESS IX_FAIL : invalid arguments.
ixEthMiiPhyConfig | ( | UINT32 | phyAddr,
|  | BOOL | speed100,
|  | BOOL | fullDuplex,
|  | BOOL | autonegotiate
| ) |
  | Configure a PHY Configure a PHY's speed, duplex and autonegotiation status. * - Reentrant - no ISR Callable - no Precondition: The MAC on Ethernet Port 2 (NPE C) must be initialised, and generating the MDIO clock. Parameters:
  phyAddr |
  speed100: | set to TRUE for 100Mbit/s operation, FALSE for 10Mbit/s
  fullDuplex: | set to TRUE for Full Duplex, FALSE for Half Duplex
  autonegotiate: | set to TRUE to enable autonegotiation
Returns: IX_STATUS IX_SUCCESS IX_FAIL : invalid arguments.
ixEthMiiPhyLoopbackDisable | ( | UINT32 | phyAddr | ) |
  | Disable PHY Loopback in a specific Eth MII port. * - Reentrant - no ISR Callable - no Parameters:
  phyAddr[in] | - the address of the Ethernet PHY (0-31)
Returns: IX_STATUS IX_SUCCESS IX_FAIL : invalid arguments.
ixEthMiiPhyLoopbackEnable | ( | UINT32 | phyAddr | ) |
  | Enable PHY Loopback in a specific Eth MII port. Note: When PHY Loopback is enabled, frames sent out to the PHY from the IXP425 will be looped back to the IXP425. They will not be transmitted out on the wire. Reentrant - no ISR Callable - no Parameters:
  phyAddr[in] | - the address of the Ethernet PHY (0-31)
Returns: IX_STATUS IX_SUCCESS IX_FAIL : invalid arguments.
ixEthMiiPhyReset | ( | UINT32 | phyAddr | ) |
  | Reset a PHY Reset a PHY. * - Reentrant - no ISR Callable - no Precondition: The MAC on Ethernet Port 2 (NPE C) must be initialised, and generating the MDIO clock. Parameters:
  phyAddr: | the address of the Ethernet PHY (0-31)
Returns: IX_STATUS IX_SUCCESS IX_FAIL : invalid arguments.
ixEthMiiPhyScan | ( | BOOL | phyPresent[],
|  | UINT32 | maxPhyCount
| ) |
  | Scan the MDIO bus for PHYs This function scans PHY addresses 0 through 31, and sets phyPresent[n] to TRUE if a phy is discovered at address n. * - Reentrant - no ISR Callable - no Precondition: The MAC on Ethernet Port 2 (NPE C) must be initialised, and generating the MDIO clock. Parameters:
  phyPresent | : boolean array of IXP425_ETH_ACC_MII_MAX_ADDR entries
  maxPhyCount | : number of PHYs to search for (the scan will stop when the indicated number of PHYs is found).
Returns: IX_STATUS IX_ETH_ACC_SUCCESS IX_ETH_ACC_FAIL : invalid arguments.
ixEthMiiPhyShow | ( | UINT32 | phyAddr | ) |
  | Display information on a specified PHY Display link status, speed, duplex and Auto Negotiation status. * - Reentrant - no ISR Callable - no Precondition: The MAC on Ethernet Port 2 (NPE C) must be initialised, and generating the MDIO clock. Parameters:
  phyAddr: | the address of the Ethernet PHY (0-31)
Returns: IX_STATUS IX_SUCCESS IX_FAIL : invalid arguments.
Automatically generated from sources. © Intel Corp. 2003